WordPress.org

Ready to get started?Download WordPress

Forums

Gravity Forms Salesforce Add-on
[resolved] Fatal error: Class SoapClient not found (7 posts)

  1. brasofilo
    Member
    Posted 1 year ago #

    I'm getting the following error.
    Fatal error: Class 'SoapClient' not found in /home/user/public_html/wp-content/plugins/gravity-forms-salesforce/developerforce/include/SforcePartnerClient.php on line 44.

    Seems that this is a matter of enabling the Soap module in PHP.ini, right?

    http://wordpress.org/extend/plugins/gravity-forms-salesforce/

  2. tet3
    Member
    Posted 1 year ago #

    I got this same error. On a Dreamhost shared hosting account, it was fixed by changing the PHP version on the site from v5.2 to v5.3 - I guess they included SoapClient by default in their v5.3 builds, but not v5.2.

    How you add it if it's not built-in by default on your host is going to depend on the host, the version of PHP your site is currently running, and the amount of access you have (shared hosting, VPS, dedicated, etc.) Forms -> Settings lists your current version numbers for PHP, MySQL, WP and GF at the bottom (why isn't this in the normal WP admin interface?!)

  3. brasofilo
    Member
    Posted 1 year ago #

    I ended up changing hosts and the culprit was exactly that: PHP 5.2...

    Thanks for the input!

  4. Zack Katz
    Member
    Plugin Author

    Posted 1 year ago #

    I'll add a compatibility check on the next update. Thanks for reporting!

  5. ebidsystems
    Member
    Posted 1 year ago #

    I am running 5.3.17 and I still have this issue?

  6. ebidsystems
    Member
    Posted 1 year ago #

    I had to install the soap directory in my php build. I did this in WHM

  7. ebidsystems
    Member
    Posted 1 year ago #

    Ahh I do not have the right version of salesforce for (API access) this should be specified :(

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic